Bug 1466593 - [paid][pro-us-east-1] two registry pods running on the same node
[paid][pro-us-east-1] two registry pods running on the same node
Status: NEW
Product: OpenShift Online
Classification: Red Hat
Component: Unknown (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
Mike Fiedler
: OnlinePro
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 23:07 EDT by Mike Fiedler
Modified: 2017-08-16 04:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fiedler 2017-06-29 23:07:14 EDT
Description of problem:

Is it intentional to have two registry pods running on the same node (online Pro V3 production):

docker-registry-4-bd4xv      1/1       Running   1          6d        10.131.0.89     ip-172-31-52-61.ec2.internal
docker-registry-4-cfmnm      1/1       Running   2          6d        10.129.4.115    ip-172-31-51-115.ec2.internal
docker-registry-4-s1m4h      1/1       Running   1          6d        10.131.0.90     ip-172-31-52-61.ec2.internal
Comment 1 ihorvath 2017-06-30 14:35:40 EDT
I am not aware of any requirements for registry that would require it to be on different nodes. Router pods are the only ones that have this.
Comment 2 Mike Fiedler 2017-06-30 16:05:27 EDT
No requirement, it just seemed odd and I wanted to make sure it was intended.
Comment 3 Abhishek Gupta 2017-06-30 16:12:49 EDT
Pushing this out of the blocker list for now. Holding off on closing this as not a bug to better understand if we need to do something about this or if this is something that can be ignored and left to the scheduler.

Note You need to log in before you can comment on or make changes to this bug.